nx_metadata_sdk 1.0 Metadata SDK

Public Types | Public Member Functions | Static Public Member Functions | List of all members
nx::sdk::analytics::IDataPacket Class Referenceabstract

`#include <i_data_packet.h>`

Inheritance diagram for nx::sdk::analytics::IDataPacket:

## Public Types
enum | Flags : uint32_t { none = 0, Flags::cameraClockTimestamp = 1 << 0 }

## Public Member Functions
virtual int64_t | timestampUs () const =0
Public Member Functions inherited from nx::sdk::Interface< IDataPacket >
virtual IRefCountable * | queryInterface (const InterfaceId *id)
Ptr< Interface > | queryInterface ()
Ptr< const Interface > | queryInterface () const
Public Member Functions inherited from nx::sdk::IRefCountable
virtual | ~IRefCountable ()=default
template<class Interface >
Ptr< Interface > | queryInterface ()
template<class Interface >
Ptr< const Interface > | queryInterface () const
virtual int | addRef () const =0
virtual int | releaseRef () const =0
int | refCountThreadUnsafe () const

## Static Public Member Functions
static auto | interfaceId ()
Static Public Member Functions inherited from nx::sdk::IRefCountable
static auto | interfaceId ()

## Additional Inherited Members
Protected Member Functions inherited from nx::sdk::Interface< IDataPacket >
virtual IRefCountable * | queryInterface (const IRefCountable::InterfaceId *id) override
IRefCountable * | queryInterfaceSupportingDeprecatedId (const IRefCountable::InterfaceId *id, const Uuid &deprecatedInterfaceId)
Static Protected Member Functions inherited from nx::sdk::IRefCountable
template<int len>
static constexpr const InterfaceId * | makeId (const char(&charArray)[len])
template<class TemplateInstance , class TemplateArg , int len>
static const InterfaceId * | makeIdForTemplate (const char(&baseIdCharArray)[len])

## Detailed Description

Base class for classes that represent the packet of data (e.g. audio, video, metadata).

## Member Enumeration Documentation

## ◆ Flags

enum nx::sdk::analytics::IDataPacket::Flags : uint32_t
| strong

Enumerator
cameraClockTimestamp | Indicates that the timestamp is sampled from a camera's own internal clock and should be translated to VMS System clock.

## Member Function Documentation

## ◆ timestampUs()

virtual int64_t nx::sdk::analytics::IDataPacket::timestampUs | ( |  | ) | const
| pure virtual

Returns
  Timestamp of the media data in microseconds since epoch, or 0 if not relevant.

The documentation for this class was generated from the following file:

- src/nx/sdk/analytics/i_data_packet.h